/*
 * doxaDigital.h
 *
 *  Created on: May 23, 2009
 *      Author: Espen Karlsen
 */

#ifndef DOXADIGITAL_H_
#define DOXADIGITAL_H_

#include <avr32/io.h>


#define CPU_FAMILY    "AVR32_AP7"
#define CPU_TYPE      "AT32AP7001"
#define MAX_FREQ_HZ   150000000

#define DEFAULT_FREQ  FOSC0
#define DEFAULT_UART  UART_A

#define FOSC32          32768     //!< Osc32 frequency: Hz.
#define OSC32_STARTUP   3         //!< Osc32 startup time: RCOsc periods.

/* Define the on-board oscillators in Hz */
#define FOSC0           20000000  //!< Osc0 frequency: Hz.
#define FOSC1           12000000  //!< Osc1 frequency: Hz.
#define OSC0_STARTUP    3         //!< Osc0 startup time: RCOsc periods.
#define OSC1_STARTUP    3         //!< Osc1 startup time: RCOsc periods.

//! Set onboard SDRAM
//#define SDRAM_PART_HDR  "MT481C2M32B2TG/mt481c2m32b2tg.h"

//! Data bus width to use the SDRAM(s)
#define SDRAM_DBW       16

/* Define the peripheral names */
#define UART_A  AVR32_USART1
#define UART_C  AVR32_USART3
#define IRDA    AVR32_USART2

/* Using privileged mode P2 to bypass cache*/
#define BOARD_SDRAM_BASE 0xB0000000


#endif /* DOXADIGITAL_H_ */
