/*
 * AUDIOFeedbackEndpointDescriptor.h
 *
 *  Created on: May 14, 2009
 *      Author: Espen Karlsen
 */

#ifndef AUDIOFEEDBACKENDPOINTDESCRIPTOR_H_
#define AUDIOFEEDBACKENDPOINTDESCRIPTOR_H_


//------------------------------------------------------------------------------
/// Standard AS Isochronous Feedback Endpoint Descriptor
//------------------------------------------------------------------------------
typedef struct {

    /// Size of descriptor in bytes.
    unsigned char bLength;
    /// Descriptor type (AUDGenericDescriptor_ENDPOINT).
    unsigned char bDescriptorType;
    /// The address of the endpoint on the USB device described by this
    /// descriptor.
    unsigned char bEndpointAddress;
    /// Indicates available controls and requirement on packet sizes.
    unsigned char bmAttributes;
    /// Maximum packet size this endpoint is capable of sending or receiving
    /// when this configuration is selected
    unsigned char wMaxPacketSize;
    /// Interval for polling endpoint for data transfers
    unsigned short bInterval;

} __attribute__ ((packed)) AUDIOFeedbackEndpointDescriptor; // GCC


#endif /* AUDIOFEEDBACKENDPOINTDESCRIPTOR_H_ */
